//
//  Defines.h
//  VideoPlayer
//
//  Created by 白璐 on 16/9/18.
//  Copyright © 2016年 baidu. All rights reserved.
//

#import <Foundation/Foundation.h>

extern NSString* const kDefaultVideoFilename;
extern NSString* const kDefaultUser;
extern NSString* const kDefaultUserFilename;

@interface VRInfo : NSObject
@property (nonatomic, assign) NSInteger projectionMode;
@property (nonatomic, assign) NSInteger displayMode;
@property (nonatomic, assign) NSInteger interactiveMode;
@property (nonatomic, assign) BOOL pinchEnabled;
@end

@interface VideoIO : NSObject
@property(nonatomic, assign) BOOL demoEnable;
@end

@interface VideoSprite : NSObject
@property(nonatomic, assign) NSInteger row;
@property(nonatomic, assign) NSInteger column;
@property(nonatomic, assign) NSTimeInterval thumbnailDuration;
@property(nonatomic, strong) NSArray<NSString *> *imageList;
@end

@interface VideoInput : NSObject
@property(nonatomic, copy) NSString *url;
@property(nonatomic, assign) NSInteger kbps;
@end

@interface VideoMutiBitrate : NSObject
@property(nonatomic, assign) NSInteger inputType;
@property(nonatomic, assign) BOOL adaptive;
@property(nonatomic, strong) NSMutableArray<VideoInput*>* inputList;
@end

@interface VideoItem : NSObject
@property(nonatomic, copy) NSString* img;
@property(nonatomic, copy) NSString* title;
@property(nonatomic, copy) NSString* detail;
@property(nonatomic, copy) NSString* url;
@property(nonatomic, copy) NSString* token;
@property(nonatomic, strong) VideoSprite *sprite;
@property(nonatomic, strong) VideoIO *io;
@property(nonatomic, strong) VRInfo *vrinfo;
@property(nonatomic, strong) VideoMutiBitrate *mutiBitrate;
@end

typedef NS_ENUM(NSUInteger, NetworkType) {
    NetworkTypeNone,
    NetworkTypeWIFI,
    NetworkTypeWWAN
};

typedef NS_ENUM(NSUInteger, DownloadState) {
    DownloadStateNone,
    DownloadStateRunning,
    DownloadStateSuspend,
    DownloadStateCompleted
};

@protocol VideoSource <NSObject>

- (void)downloadVideo:(NSString*)url cancelBlock:(void(^)(BOOL cancel))block;
- (VideoItem*)previousVideo:(NSString*)url;
- (VideoItem*)nextVideo:(NSString*)url;
- (BOOL)downloadable:(NSString*)url;

@end
