//
//  PlayerVRModel.m
//  DebugPlayer
//
//  Created by baidu on 2019/10/12.
//

#import "PlayerVRModel.h"
#import <BDCloudVRRender/BDCloudVRRender.h>

@interface PlayerVRModel ()
@property(nonatomic, strong) BDCloudVRConfiguration *vrConfig;
@property(nonatomic, strong) BDCloudVRRenderControl *vrManager;
@end

@implementation PlayerVRModel

- (instancetype)initWithProjectionMode:(NSInteger)projectionMode
                           displayMode:(NSInteger)displayMode
                       interactiveMode:(NSInteger)interactiveMode
                          pinchEnabled:(BOOL)pinchEnabled {
    if (self = [super init]) {
        self.vrConfig = [BDCloudVRConfiguration defaultConfig];
        [self.vrConfig setProjectionMode:projectionMode];
        [self.vrConfig setDisplayMode:displayMode];
        [self.vrConfig setInteractiveMode:interactiveMode];
        [self.vrConfig setPinchEnabled:pinchEnabled];
    }
    return self;
}

- (void)startOnRenderView:(UIView *)view
           renderPorvider:(UIView *)provider
    viaHardwareAccelerate:(BOOL)viaHardwareAccelerate {
    [self.vrConfig setProviderBDCloudMediaPlayerView:provider
                               viaHardwareAccelerate:viaHardwareAccelerate];
    [self.vrConfig setRenderOn:view];
    self.vrManager = [BDCloudVRRenderControl renderWithConfig:self.vrConfig];
    [self.vrManager resume];
}

- (void)play {
    [self.vrManager resume];
}

- (void)pause {
    [self.vrManager pause];
}
@end
