//
//  PlayerViewModel.h
//  VideoPlayer
//
//  Created by 白璐 on 16/9/20.
//  Copyright © 2016年 baidu. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>

#import "PlayerControlDelegate.h"

@protocol VideoSource;

@interface PlayerViewModel : NSObject <PlayerControlDelegate>

@property(nonatomic, weak) id<VideoSource> videoSource;
@property(nonatomic, weak) id<PlayerActions> actions;

- (instancetype)initWithURL:(NSString*)url
                      title:(NSString*)title
               downloadable:(BOOL)downloadable
                      token:(NSString *)token;

- (void)setSprite:(NSInteger)row
           column:(NSInteger)column
         duration:(NSTimeInterval)duration
        imageList:(NSArray *)imageList;

- (void)setIODemoEnable;

- (void)enableVRWithProjectionMode:(NSInteger)projectionMode
                       displayMode:(NSInteger)displayMode
                   interactiveMode:(NSInteger)interactiveMode
                      pinchEnabled:(BOOL)pinchEnabled;

- (void)adaptiveWithInputType:(NSInteger)inputType
                    InputList:(NSArray *)inputList
                     adaptive:(BOOL)adaptive;

- (void)layout:(UIView*)parent;
- (void)start;
@end
