precision highp float;
uniform   lowp  sampler2D u_TextureX;
uniform   lowp  sampler2D u_TextureY;
varying   highp vec2 v_TexCoordinate;
uniform   mat3 u_ColorConversion;

void main()
{
    mediump vec3 yuv;
    lowp    vec3 rgb;
    
    yuv.x  = (texture2D(u_TextureX,  v_TexCoordinate).r  - (16.0 / 255.0));
    yuv.yz = (texture2D(u_TextureY,  v_TexCoordinate).rg - vec2(0.5, 0.5));
    rgb = u_ColorConversion * yuv;
    gl_FragColor = vec4(rgb, 1);
}
