//
//  BDCloudMediaPlayerMeidaItem.h
//  BDCloudMediaPlayer
//
//  Created by Fu,Sheng on 2019/6/21.
//  Copyright © 2019年 Baidu. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreGraphics/CoreGraphics.h>

@interface BDCloudMediaPlayerMeidaItem : NSObject

/**
 视频地址。
 */
@property(nonatomic, readonly, copy) NSString *contentString;

/**
 分辨率。
 */
@property(nonatomic, readonly) CGSize resolution;

/**
 码率。
 */
@property(nonatomic, readonly) NSInteger bitrate;

/**
 从字符串构建。
 格式为: "<bitrate>,<width>x<height>"  例如："1000000,1920x1080"

 @param str 视频信息。
 @return 视频item。
 */
+ (instancetype)itemFromString:(NSString *)str;

/**
 从字符串构建。

 @param contentString 视频地址。
 @return 视频item。
 */
+ (instancetype)item:(NSString *)contentString;

/**
 从字符串配置。
 格式为: "<bitrate>,<width>x<height>"  例如："1000000,1920x1080"
 
 @param str 视频信息。
 */
- (void)parseString:(NSString*)str;
@end
