//
//  BDCloudSpriteEnum.h
//  BDCloudMediaSprite
//
//  Created by Fu,Sheng on 2019/3/18.
//  Copyright © 2019年 Fu,Sheng. All rights reserved.
//

#import <Foundation/Foundation.h>

/**
 缩放模式。
 
 - BDCloudSpriteScalingModeNone:               不缩放。
 - BDCloudSpriteScalingModeAspectFit:          等比缩放，可能会产生黑边。
 - BDCloudSpriteScalingModeAspectFill:         等比填充，可能有部分画面被裁减。
 - BDCloudSpriteScalingModeFill:               铺满整个视图。
 */
typedef NS_ENUM(NSInteger, BDCloudSpriteScalingMode) {
    BDCloudSpriteScalingModeNone,
    BDCloudSpriteScalingModeAspectFit,
    BDCloudSpriteScalingModeAspectFill,
    BDCloudSpriteScalingModeFill
};


/**
 下载状态

 - BDCloudSpriteStatusNone:                     未下载。
 - BDCloudSpriteStatusDownloading:              正在下载。
 - BDCloudSpriteStatusSuccess:                  下载成功。
 - BDCloudSpriteStatusFail:                     下载失败。
 - BDCloudSpriteStatusCancel:                   下载取消。
 */
typedef NS_ENUM(NSUInteger, BDCloudSpriteStatus) {
    BDCloudSpriteStatusNone,
    BDCloudSpriteStatusDownloading,
    BDCloudSpriteStatusCancelled,
    BDCloudSpriteStatusSuccess,
    BDCloudSpriteStatusFail
};
