//
//  BDCloudSpriterConfiguration.h
//  BDCloudMediaSprite
//
//  Created by Fu,Sheng on 2019/3/18.
//  Copyright © 2019年 Fu,Sheng. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import "BDCloudMediaSprite.h"

@interface BDCloudSpriteRenderConfiguration : NSObject

/**
 雪碧图中缩略图的行数。默认为1。
 */
@property (nonatomic, assign) NSInteger row;

/**
 雪碧图中缩率图的列数。默认为1。
 */
@property (nonatomic, assign) NSInteger column;

/**
 雪碧图中缩率图的时间间隔。单位秒，默认为0s。
 */
@property (nonatomic, assign) NSTimeInterval thumbnailDuration;

/**
 雪碧图的起始时间。单位秒，默认为0s。
 */
@property (nonatomic, assign) NSTimeInterval startTime;

/**
 雪碧图分辨率。默认为CGSizeZero。
 */
@property (nonatomic, assign) CGSize imageSize;

/**
 雪碧图外框边距。默认为0。
 */
@property (nonatomic, assign) CGFloat margin;

/**
 雪碧图内部缩率图间距。默认0。
 */
@property (nonatomic, assign) CGFloat padding;

/**
 渲染模式。默认BDCloudSpriteScalingModeNone。
 */
@property (nonatomic, assign) BDCloudSpriteScalingMode scalingMode;

/**
 初始化雪碧图渲染配置。
 
 @return 雪碧图渲染配置示例。
 */
+ (BDCloudSpriteRenderConfiguration *)defaultConfiguration;
@end


@interface BDCloudSpriteDownloadConfiguration : NSObject

/**
 雪碧图URL。
 必须有序，直接影响缩率图渲染效果。
 */
@property (nonatomic, strong) NSArray<NSString*> *imageList;

/**
 下载最大线程数。默认为1。
 */
@property (nonatomic, assign) NSInteger maxThreadNum;

/**
 下载保存地址。默认保存在Caches文件夹。
 */
@property (nonatomic, copy) NSString *path;

/**
 初始化雪碧图下载配置。
 
 @return 雪碧图下载配置实例。
 */
+ (BDCloudSpriteDownloadConfiguration *)defaultConfiguration;

@end
