//
//  BDCloudVRRenderControl.h
//  BDCloudVRRender
//
//  Created by baidu on 2019/9/11.
//  Copyright © 2019 fusheng. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import "BDCloudVRConfiguration.h"

@interface BDCloudVRRenderControl : NSObject
/**
 根据VR渲染配置初始化渲染器。
 
 @param config VR渲染配置。
 @return VR渲染器实例。
 */
+ (BDCloudVRRenderControl *)renderWithConfig:(BDCloudVRConfiguration *)config;

/**
 切换VR渲染图片。

 @param image VR图片。
 */
- (void)switchImage:(UIImage *)image;

/**
 切换交互方式。

 @param interactiveMode 交互方式。
 */
- (void)switchInteractiveMode:(BDCVRModeInteractive)interactiveMode;

/**
 获取当前交互方式。

 @return 交互方式。
 */
- (BDCVRModeInteractive)getInteractiveMode;

/**
 切换渲染方式。

 @param displayMode 渲染方式。
 */
- (void)switchDisplayMode:(BDCVRModeDisplay)displayMode;

/**
 获取当前渲染方式。

 @return 渲染方式。
 */
- (BDCVRModeDisplay)getDisplayMode;

/**
 切换资源类型。

 @param projectionMode 资源类型。
 */
- (void)switchProjectionMode:(BDCVRModeProjection)projectionMode;

/**
 获取当前资源类型。

 @return 资源类型。
 */
- (BDCVRModeProjection)getProjectionMode;

/**
 暂停VR渲染。
 */
- (void)pause;

/**
 开始VR渲染。
 */
- (void)resume;
@end

//双击手势通知
BDCLOUD_VR_EXTERN NSString* const BDCloudVRRenderDoubleClickNotification;

//单击手势通知
BDCLOUD_VR_EXTERN NSString* const BDCloudVRRenderSingleClickNotification;
 
